Update a transfer
curl --request PUT \
--url https://developersandbox-api.flutterwave.com/transfers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"initiate": "true",
"close": "false",
"disburse_option": {
"date_time": "<string>"
}
}
'import requests
url = "https://developersandbox-api.flutterwave.com/transfers/{id}"
payload = {
"initiate": "true",
"close": "false",
"disburse_option": { "date_time": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({initiate: 'true', close: 'false', disburse_option: {date_time: '<string>'}})
};
fetch('https://developersandbox-api.flutterwave.com/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "trf_yuK89vb",
"action": "instant",
"status": "CANCELLED",
"disburse_option": {
"date_time": "<string>"
},
"updated_datetime": "2023-11-07T05:31:56Z"
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Transfers
Update a transfer
This can only be used to update instructions about a deferred payout.
PUT
/
transfers
/
{id}
Update a transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Path Parameters
ID of the transfer
Body
application/json
Was this page helpful?
⌘I